Name: H5Sget_select_elem_pointlist
Signature:
  herr_t `H5Sget_select_elem_pointlist`(hid_t `space_id`, hsize_t `startpoint`, hsize_t `numpoints`, hsize_t *`buf` )
Purpose:
  Gets the list of element points currently selected.
Description:
  `H5Sget_select_elem_pointlist` returns the list of element points in the current dataspace selection. Starting with the `startpoint`-th point in the list of points, `numpoints` points are put into the user's buffer. If the user's buffer fills up before `numpoints` points are inserted, the buffer will contain only as many points as fit.

  The element point coordinates have the same dimensionality (rank) as the dataspace they are located within. The list of element points is formatted as follows:
  <coordinate>, followed by
  the next coordinate,
  etc.
  until all of the selected element points have been listed.

  The points are returned in the order they will be iterated through when the selection is read/written from/to disk.

Parameters:

hid_t `space_id` | IN: Dataspace identifier of selection to query.
hsize_t `startpoint` | IN: Element point to start with.
hsize_t `numpoints` | IN: Number of element points to get.
hsize_t *`buf` | OUT: List of element points selected.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5sget_select_elem_pointlist_f

      SUBROUTINE h5sget_select_elem_pointlist_f(space_id, startpoint, num_points,
                                                buf, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)   :: space_id   ! Dataspace identifier
        INTEGER(HSIZE_T), INTENT(IN) :: startpoint ! Element point to start with
        INTEGER, INTENT(OUT) :: num_points         ! Number of points to get in
                                                   ! the current element selection
        INTEGER(HSIZE_T), DIMENSION(*), INTENT(OUT) :: buf
                                                   ! List of points selected
        INTEGER, INTENT(OUT) :: hdferr             ! Error code
      END SUBROUTINE h5sget_select_elem_pointlist_f